# Build a Simple API with Rust and Actix Web

In this comprehensive guide, you'll build a simple CRUD API in Rust using the Actix Web framework and an in-memory database. To summarise, we'll create a RESTful API with the Actix Web framework that supports CRUD functionalities for handling Create, Read, Update, and Delete operations against a centralized data store.

![Build a Simple API with Rust and Actix Web](https://codevoweb.com/wp-content/uploads/2023/01/Build-a-Simple-API-with-Rust-and-Actix-Web.webp)

## Topics Covered

- Run the Rust Actix Web API Locally
- Initialize the Rust Project
- Setup the Database Model
- Create the API Response Structs
- Add the CRUD Functionalities
    - Health Checker Route
    - Fetch All Records
    - Add a New Record
    - Retrieve a Single Record
    - Edit a Record
    - Delete a Record
    - Merge the Routes
- Add CORS to the Actix Web Server
- Test the Actix Web CRUD API
    - Add a New Todo Item
    - Edit a Todo Item
    - Retrieve a Todo Item
    - Retrieve All Todo Items
    - Delete a Todo Item

Read the entire article here: [https://codevoweb.com/build-a-simple-api-with-rust-and-actix-web/](https://codevoweb.com/build-a-simple-api-with-rust-and-actix-web/)

